Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Configuration_Section_IntId Class Reference

The internal ID for a section hash table. More...

`#include <Configuration.h>`

Collaboration diagram for ACE_Configuration_Section_IntId:

[legend]
List of all members.

## Public Methods
| ACE_Configuration_Section_IntId (void)
| default ctor.
ACE_EXPLICIT | ACE_Configuration_Section_IntId (VALUE_MAP* value_hash_map, SUBSECTION_MAP* section_hash_map)
| named ctor.
| ACE_Configuration_Section_IntId (const ACE_Configuration_Section_IntId& rhs)
| copy ctor.
| ~ACE_Configuration_Section_IntId (void)
| destructor.
ACE_Configuration_Section_IntId& | operator= ( const ACE_Configuration_Section_IntId& rhs)
| asignment operator.
void | free (ACE_Allocator *alloc)
| frees the hash table and all its values.
## Public Attributes
VALUE_MAP* | value_hash_map_
SUBSECTION_MAP* | section_hash_map_

## Detailed Description

The internal ID for a section hash table.

Contains a hash table containing value name/values

## Constructor & Destructor Documentation

ACE_Configuration_Section_IntId::ACE_Configuration_Section_IntId ( | void )

| default ctor.

ACE_EXPLICIT ACE_Configuration_Section_IntId::ACE_Configuration_Section_IntId ( | VALUE_MAP * value_hash_map,
| SUBSECTION_MAP * section_hash_map )

| named ctor.

ACE_Configuration_Section_IntId::ACE_Configuration_Section_IntId ( | const ACE_Configuration_Section_IntId & rhs )

| copy ctor.

ACE_Configuration_Section_IntId::~ACE_Configuration_Section_IntId ( | void )

| destructor.

## Member Function Documentation

void ACE_Configuration_Section_IntId::free ( | ACE_Allocator * alloc )

| frees the hash table and all its values.

ACE_Configuration_Section_IntId & ACE_Configuration_Section_IntId::operator= ( | const ACE_Configuration_Section_IntId & rhs )

| asignment operator.

## Member Data Documentation

SUBSECTION_MAP * ACE_Configuration_Section_IntId::section_hash_map_

VALUE_MAP * ACE_Configuration_Section_IntId::value_hash_map_

The documentation for this class was generated from the following files:

- Configuration.h
- Configuration.cpp